/******************************************************************************\
* $Id: proj_calc_field_view.sas,v 1.1.2.1.2.2.2.1 2012/07/02 14:36:00 stuhor Exp $
*
* Copyright(c) 2011 SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
* Name: proj_calc_field_view.sas
*
* Purpose: Creates table proj_calc_field_view.  
*
* Author: stuhor
*
* Support: SAS(r) Solutions OnDemand
*
* Input: 	
*
* Output:	PROJ_CALC_FIELD_VIEW.sas7bdat
*			
* Parameters: (if applicable)
*
* Dependencies/Assumptions: 	FCM.FCM_PROJECT,
*								FCM.FCM_SCENARIO_GROUP,
*								FCM.FCM_SCENARIO,
*								FCM.FCM_SCENARIO_CALC_VAR
*
* Usage:
*
* ddmmmyyyy userid description (Change Code)
* History: Initial check in
\******************************************************************************/
proc sql noprint;
create table PROJ_CALC_FIELD_view as
select SCENARIO.*,
       SCENARIO_GRP.project_rk,
       CALC.variable_nm,
	   CALC.scenario_calc_var_sk,
	   CALC.scenario_rk,	
	   CALC.variable_field_length_no,	
	   CALC.data_type_cd				
from  &libref..FCM_PROJECT as PROJ,
      &libref..FCM_SCENARIO_GROUP as SCENARIO_GRP,
      &libref..FCM_SCENARIO as SCENARIO, 
	  &libref..FCM_SCENARIO_CALC_VAR as CALC 
where SCENARIO_GRP.project_rk=PROJ.logical_rk and
      SCENARIO_GRP.logical_rk=SCENARIO.scenario_group_rk and
	  SCENARIO_GRP.logical_delete_flg='N' and
      SCENARIO.logical_rk=CALC.scenario_rk and
	  SCENARIO.logical_delete_flg='N' and
	  SCENARIO.scenario_status_cd='A' and
	  PROJ.logical_delete_flg='N' and
	  CALC.logical_delete_flg='N'
order by SCENARIO_GRP.project_rk,
         SCENARIO.scenario_group_rk,
         CALC.scenario_rk;	
quit;
